Package org.drinkless.tdlib

# Class TdApi.AvailableReactions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AvailableReactions

Enclosing class:
  `TdApi`

public static class TdApi.AvailableReactions extends TdApi.Object
Represents a list of reactions that can be added to a message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `allowCustomEmoji`
  True, if any custom emoji reaction can be added by Telegram Premium subscribers.
  `boolean`
  `areTags`
  True, if the reactions will be tags and the message can be found by them.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.AvailableReaction[]`
  `popularReactions`
  List of popular reactions.
  `TdApi.AvailableReaction[]`
  `recentReactions`
  List of recently used reactions.
  `TdApi.AvailableReaction[]`
  `topReactions`
  List of reactions to be shown at the top.
  `TdApi.ReactionUnavailabilityReason`
  `unavailabilityReason`
  The reason why the current user can't add reactions to the message, despite some other users can; may be null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AvailableReactions()`
  Represents a list of reactions that can be added to a message.
  `AvailableReactions(TdApi.AvailableReaction[] topReactions, TdApi.AvailableReaction[] recentReactions, TdApi.AvailableReaction[] popularReactions, boolean allowCustomEmoji, boolean areTags, TdApi.ReactionUnavailabilityReason unavailabilityReason)`
  Represents a list of reactions that can be added to a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### topReactions

    public TdApi.AvailableReaction[] topReactions
    List of reactions to be shown at the top.

  - ### recentReactions

    public TdApi.AvailableReaction[] recentReactions
    List of recently used reactions.

  - ### popularReactions

    public TdApi.AvailableReaction[] popularReactions
    List of popular reactions.

  - ### allowCustomEmoji

    public boolean allowCustomEmoji
    True, if any custom emoji reaction can be added by Telegram Premium subscribers.

  - ### areTags

    public boolean areTags
    True, if the reactions will be tags and the message can be found by them.

  - ### unavailabilityReason

    @Nullable public TdApi.ReactionUnavailabilityReason unavailabilityReason
    The reason why the current user can't add reactions to the message, despite some other users can; may be null if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AvailableReactions

    public AvailableReactions()
    Represents a list of reactions that can be added to a message.

  - ### AvailableReactions

    public AvailableReactions(TdApi.AvailableReaction[] topReactions, TdApi.AvailableReaction[] recentReactions, TdApi.AvailableReaction[] popularReactions, boolean allowCustomEmoji, boolean areTags, TdApi.ReactionUnavailabilityReason unavailabilityReason)
    Represents a list of reactions that can be added to a message.
    Parameters:
      `topReactions` - List of reactions to be shown at the top.
      `recentReactions` - List of recently used reactions.
      `popularReactions` - List of popular reactions.
      `allowCustomEmoji` - True, if any custom emoji reaction can be added by Telegram Premium subscribers.
      `areTags` - True, if the reactions will be tags and the message can be found by them.
      `unavailabilityReason` - The reason why the current user can't add reactions to the message, despite some other users can; may be null if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR